MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
LTIMetadataReader Class Referenceabstract

abstract class for populating a metadata database More...

`#include <lti_metadataReader.h>`

Collaboration diagram for LTIMetadataReader:
[legend]

## Public Member Functions
virtual | ~LTIMetadataReader ()
| destructor More...
virtual LT_STATUS | read ()=0
| read records into database More...

## Protected Member Functions
| LTIMetadataReader (LTIMetadataDatabase &database)
| default constructor More...

## Protected Attributes
LTIMetadataDatabase & | m_database
| the database to be read into More...

## Detailed Description

This abstract class provides an interface for importing metadata records from a foreign source into an LTIMetadataDatabase.

This is used, for example, to provide a mechanism for reading the TIFF tag style metadata from a MrSID file into the format-neutral, in-memory database.

Definition at line 38 of file lti_metadataReader.h.

## Constructor & Destructor Documentation

virtual LTIMetadataReader::~LTIMetadataReader | ( | ) |  |
| virtual

LTIMetadataReader::LTIMetadataReader | ( | LTIMetadataDatabase & | database) |  |
| protected

This base constructor creates a reader object which can insert records into a database from some foreign source.

Parameters

  database | the database to be read into

## Member Function Documentation

virtual LT_STATUS LTIMetadataReader::read | ( | ) |  |
| pure virtual

This function must be implemented in the derived class. It should read the metadata content from the foreign metadata source, express it as LTIMetadataRecord objects, and add them to the database.

Returns
  status code indicating success or failure

## Member Data Documentation

LTIMetadataDatabase& LTIMetadataReader::m_database
| protected

This is the database to be read into. Derived classes may access it directly.

Definition at line 74 of file lti_metadataReader.h.

The documentation for this class was generated from the following file:

- lti_metadataReader.h

LizardTech